OpenNMS API 1.2.9

## org.opennms.web.availability.raw
Class RawAvailabilityServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.availability.raw.RawAvailabilityServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class RawAvailabilityServlet
extends javax.servlet.http.HttpServlet

Author:
  Jacinta Remedios , Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`(package private) static org.apache.log4j.Category` `log`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`RawAvailabilityServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()`
`protected void` `streamToStream(java.io.Reader in, java.io.Writer out)` Deprecated. Should use `Util.streamToStream` instead.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    static org.apache.log4j.Category log

Constructor Detail

### RawAvailabilityServlet

    public RawAvailabilityServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### streamToStream

    protected void streamToStream(java.io.Reader in,
                                  java.io.Writer out)
                           throws java.io.IOException

  Deprecated. Should use `Util.streamToStream` instead.

  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.